"rabbit_use_ssl" is needed instead of "ssl" for ocata

Bug #1838696 reported by Corey Bryant on 2019-08-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack AODH Charm
High
Unassigned
OpenStack Barbican Charm
Undecided
Unassigned
OpenStack Designate Charm
Undecided
Unassigned
OpenStack Manila Charm
High
Unassigned
OpenStack Nova Cell Controller Charm
High
Unassigned
OpenStack Octavia Charm
Undecided
Unassigned
OpenStack ceilometer charm
Undecided
Unassigned
OpenStack ceilometer-agent charm
Undecided
Unassigned
OpenStack cinder charm
High
Unassigned
OpenStack glance charm
High
Unassigned
OpenStack heat charm
High
Unassigned
OpenStack neutron-api charm
High
Unassigned
OpenStack neutron-gateway charm
Undecided
Unassigned
OpenStack neutron-openvswitch charm
Undecided
Unassigned
OpenStack nova-cloud-controller charm
Undecided
Unassigned
OpenStack nova-compute charm
Undecided
Unassigned
charm-neutron-dynamic-routing
High
Unassigned
charms.openstack
Undecided
Unassigned

Bug Description

"rabbit_use_ssl" is needed instead of "ssl" for the [oslo_messaging_rabbit] config section for versions of python-oslo.messaging used in icehouse->ocata.

This was regressed when fixing https://bugs.launchpad.net/charm-neutron-api/+bug/1817672 which introduced use of section-oslo-messaging-rabbit by ocata templates.

Bug 1817672 was fixed for ocata+ so we should only need to re-introduce "rabbit_use_ssl" to ocata templates.

$ cat ./hooks/charmhelpers/contrib/openstack/templates/section-oslo-messaging-rabbit
[oslo_messaging_rabbit]
{% if rabbitmq_ha_queues -%}
rabbit_ha_queues = True
{% endif -%}
{% if rabbit_ssl_port -%}
ssl = True
{% endif -%}
{% if rabbit_ssl_ca -%}
ssl_ca_file = {{ rabbit_ssl_ca }}
{% endif -%}

summary: - "rabbit_use_ssl" is needed instead of "ssl" for icehouse->ocata
+ "rabbit_use_ssl" is needed instead of "ssl" for ocata
description: updated
description: updated
description: updated
no longer affects: charm-swift-proxy

Reviewed: https://review.opendev.org/674176
Committed: https://git.openstack.org/cgit/openstack/charm-nova-compute/commit/?id=b416426fa177520c2d4706795f861cda7a43d3f3
Submitter: Zuul
Branch: master

commit b416426fa177520c2d4706795f861cda7a43d3f3
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:09:06 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: Iafe511a60b546139c8f3edfd926f38d2829fe32a
    Closes-Bug: #1838696

Changed in charm-nova-compute:
status: New → Fix Committed
Changed in charm-neutron-gateway:
status: New → Fix Committed

Reviewed: https://review.opendev.org/674170
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-gateway/commit/?id=5c5a94fa012fb5f59d74bea0dff38716332fde94
Submitter: Zuul
Branch: master

commit 5c5a94fa012fb5f59d74bea0dff38716332fde94
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:05:27 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I5c3776bf31603e93ba37e9de5a8516d1897f1935
    Closes-Bug: #1838696

Changed in charm-ceilometer-agent:
status: New → Fix Committed

Reviewed: https://review.opendev.org/674163
Committed: https://git.openstack.org/cgit/openstack/charm-ceilometer-agent/commit/?id=08758f4e7d056d5ce7a81894fb731f4b31ba3e5b
Submitter: Zuul
Branch: master

commit 08758f4e7d056d5ce7a81894fb731f4b31ba3e5b
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 22:58:02 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I61f37a976951911d7c24d14cc4ea5e6ec3f84d2e
    Closes-Bug: #1838696

Changed in charm-nova-cloud-controller:
status: New → Fix Committed

Reviewed: https://review.opendev.org/674174
Committed: https://git.openstack.org/cgit/openstack/charm-nova-cloud-controller/commit/?id=2b3972f5f15dd760dd62ebe55bc4a5e47fe18b22
Submitter: Zuul
Branch: master

commit 2b3972f5f15dd760dd62ebe55bc4a5e47fe18b22
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:07:53 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I27f89f3780a60c6fbb26d8aad637853403bddeb1
    Closes-Bug: #1838696

Changed in charm-ceilometer:
status: New → Fix Committed

Reviewed: https://review.opendev.org/674162
Committed: https://git.openstack.org/cgit/openstack/charm-ceilometer/commit/?id=2a1f9a7199db71e73ef9b7a0bdb69639dd6d9d65
Submitter: Zuul
Branch: master

commit 2a1f9a7199db71e73ef9b7a0bdb69639dd6d9d65
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 22:56:00 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I23bc8d6943377c72811d9b7c544b1ca9e1da9c43
    Closes-Bug: #1838696

Changed in charm-neutron-openvswitch:
status: New → Fix Committed

Reviewed: https://review.opendev.org/674172
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-openvswitch/commit/?id=d9fdc665bd06c15a78f38b4552b5e48c42d7cd8d
Submitter: Zuul
Branch: master

commit d9fdc665bd06c15a78f38b4552b5e48c42d7cd8d
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:06:37 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I61ed1575bb13d5104eb79e2554974e48bdf3de72
    Closes-Bug: #1838696

Corey Bryant (corey.bryant) wrote :

barbican charm doesn't support ocata

Changed in charm-aodh:
importance: Undecided → High
status: New → Triaged
Changed in charm-barbican:
status: New → Invalid
Corey Bryant (corey.bryant) wrote :

Designate charm supports ocata but section-oslo-messaging-rabbit was only introduced for queens and above.

Changed in charm-designate:
status: New → Invalid
Changed in charm-manila:
importance: Undecided → High
status: New → Triaged
Corey Bryant (corey.bryant) wrote :

Octavia charm doesn't support ocata

Changed in charm-neutron-dynamic-routing:
importance: Undecided → High
status: New → Triaged
Changed in charms.openstack:
status: New → Invalid
Changed in charm-nova-cell-controller:
importance: Undecided → High
status: New → Triaged
Changed in charm-octavia:
importance: Undecided → High
status: New → Triaged
importance: High → Undecided
status: Triaged → Invalid
Changed in charm-cinder:
importance: Undecided → High
status: New → Triaged
Changed in charm-glance:
importance: Undecided → High
status: New → Triaged
Changed in charm-heat:
importance: Undecided → High
status: New → Triaged
Changed in charm-neutron-api:
importance: Undecided → High
status: New → Triaged

Reviewed: https://review.opendev.org/674618
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-dynamic-routing/commit/?id=35ddec55cf03d2d634d56d1fb3657dfbb3b77637
Submitter: Zuul
Branch: master

commit 35ddec55cf03d2d634d56d1fb3657dfbb3b77637
Author: Corey Bryant <email address hidden>
Date: Mon Aug 5 10:18:21 2019 -0400

    Use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    This is fixed by using section-oslo-messaging-rabbit for pike and
    above rather than ocata and above, and using section-rabbitmq-oslo
    for ocata.

    Change-Id: I9209a3cdc9b52a918621ad2c328e67aa616f18d6
    Closes-Bug: #1838696

Changed in charm-neutron-dynamic-routing:
status: Triaged → Fix Committed

Reviewed: https://review.opendev.org/674167
Committed: https://git.openstack.org/cgit/openstack/charm-glance/commit/?id=557566e9d976bfc2156fe30471b53da50232d7c3
Submitter: Zuul
Branch: master

commit 557566e9d976bfc2156fe30471b53da50232d7c3
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:01:28 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I192396dbd1ef96cab95e3958ae06fd86aa54ab46
    Closes-Bug: #1838696

Changed in charm-glance:
status: Triaged → Fix Committed
Changed in charm-cinder:
status: Triaged → Fix Committed

Reviewed: https://review.opendev.org/674165
Committed: https://git.openstack.org/cgit/openstack/charm-cinder/commit/?id=b5d20a0718c4b5cc5537a5efe6be5bd277f85389
Submitter: Zuul
Branch: master

commit b5d20a0718c4b5cc5537a5efe6be5bd277f85389
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 22:59:46 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I070b8bbebed4e53fa524047599c71f73dc1c79fc
    Closes-Bug: #1838696

Reviewed: https://review.opendev.org/674617
Committed: https://git.openstack.org/cgit/openstack/charm-manila/commit/?id=e6c9c54303a856ff474c077c82a02877f4f36aad
Submitter: Zuul
Branch: master

commit e6c9c54303a856ff474c077c82a02877f4f36aad
Author: Corey Bryant <email address hidden>
Date: Mon Aug 5 10:04:43 2019 -0400

    Revert back to using "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    This is fixed by using section-oslo-messaging-rabbit for pike and
    above rather than ocata and above, thus reverting back to using
    section-rabbitmq-oslo for ocata.

    Change-Id: I6162d77232c3377f42bc7e0c736365d96832a21c
    Closes-Bug: #1838696

Changed in charm-manila:
status: Triaged → Fix Committed

Reviewed: https://review.opendev.org/674619
Committed: https://git.openstack.org/cgit/openstack/charm-nova-cell-controller/commit/?id=f456038d4b39c83b1ff3e00bd066fea49b87f4bd
Submitter: Zuul
Branch: master

commit f456038d4b39c83b1ff3e00bd066fea49b87f4bd
Author: Corey Bryant <email address hidden>
Date: Mon Aug 5 10:21:48 2019 -0400

    Revert back to using "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    This is fixed by using section-oslo-messaging-rabbit for pike and
    above rather than ocata and above, thus reverting back to using
    section-rabbitmq-oslo for ocata.

    Change-Id: If3264c1d31dbeda965287c1d70316f8c98b7bfde
    Closes-Bug: #1838696

Changed in charm-nova-cell-controller:
status: Triaged → Fix Committed

Reviewed: https://review.opendev.org/674168
Committed: https://git.openstack.org/cgit/openstack/charm-heat/commit/?id=3099142117edce9d6c5f6578a124c1b82a88debd
Submitter: Zuul
Branch: master

commit 3099142117edce9d6c5f6578a124c1b82a88debd
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 23:02:47 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: I41da24f87cfdc66f6061426913f0d64b7dbb8398
    Closes-Bug: #1838696

Changed in charm-heat:
status: Triaged → Fix Committed

Reviewed: https://review.opendev.org/674159
Committed: https://git.openstack.org/cgit/openstack/charm-neutron-api/commit/?id=d12413ffad3c0f523d82133257d298bbf465e79b
Submitter: Zuul
Branch: master

commit d12413ffad3c0f523d82133257d298bbf465e79b
Author: Corey Bryant <email address hidden>
Date: Thu Aug 1 22:50:37 2019 -0400

    Sync charm-helpers and use "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    Change-Id: Ib96880659403a0163654ea1fc26f43718ff65232
    Closes-Bug: #1838696

Changed in charm-neutron-api:
status: Triaged → Fix Committed
James Page (james-page) on 2019-08-07
Changed in charm-neutron-api:
milestone: none → 19.07
Changed in charm-manila:
milestone: none → 19.07
Changed in charm-nova-cell-controller:
milestone: none → 19.07
Changed in charm-cinder:
milestone: none → 19.07
Changed in charm-glance:
milestone: none → 19.07
Changed in charm-heat:
milestone: none → 19.07
Changed in charm-neutron-dynamic-routing:
milestone: none → 19.07
Changed in charm-neutron-gateway:
milestone: none → 19.07
Changed in charm-ceilometer:
milestone: none → 19.07
Changed in charm-ceilometer-agent:
milestone: none → 19.07
Changed in charm-neutron-openvswitch:
milestone: none → 19.07
Changed in charm-nova-cloud-controller:
milestone: none → 19.07
Changed in charm-nova-compute:
milestone: none → 19.07

Reviewed: https://review.opendev.org/674614
Committed: https://git.openstack.org/cgit/openstack/charm-aodh/commit/?id=0367da08cf7342b467a9d8eef17a87e7bae370fe
Submitter: Zuul
Branch: master

commit 0367da08cf7342b467a9d8eef17a87e7bae370fe
Author: Corey Bryant <email address hidden>
Date: Mon Aug 5 09:53:13 2019 -0400

    Revert back to using "rabbit_use_ssl" for ocata

    Ensure "rabbit_use_ssl" is specified in the [oslo_messaging_rabbit]
    config section instead of "ssl" for Ocata, since "ssl" was not yet
    introduced.

    This is fixed by using section-oslo-messaging-rabbit for pike and
    above rather than ocata and above, thus reverting back to using
    section-rabbitmq-oslo for ocata.

    Change-Id: I81ce8f745542625897f353f0b2560a695e74a3ea
    Closes-Bug: #1838696

Changed in charm-aodh:
status: Triaged → Fix Committed
David Ames (thedac) on 2019-08-12
Changed in charm-neutron-api:
status: Fix Committed → Fix Released
Changed in charm-manila:
status: Fix Committed → Fix Released
Changed in charm-nova-cell-controller:
status: Fix Committed → Fix Released
Changed in charm-cinder:
status: Fix Committed → Fix Released
Changed in charm-glance:
status: Fix Committed → Fix Released
Changed in charm-heat:
status: Fix Committed → Fix Released
Changed in charm-neutron-dynamic-routing:
status: Fix Committed → Fix Released
Changed in charm-neutron-gateway:
status: Fix Committed → Fix Released
Changed in charm-ceilometer:
status: Fix Committed → Fix Released
Changed in charm-ceilometer-agent:
status: Fix Committed → Fix Released
Changed in charm-neutron-openvswitch:
status: Fix Committed → Fix Released
Changed in charm-nova-cloud-controller:
status: Fix Committed → Fix Released
Changed in charm-nova-compute:
status: Fix Committed → Fix Released
Changed in charm-aodh:
milestone: none → 19.07
Frode Nordahl (fnordahl) on 2019-08-13
Changed in charm-aodh:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers